Subject: Re: bug#48319: [PATCH] Check if #:tests? is unconditionally #t; not acceptable when cross-compiling

From: Maxime Devos <[email-masked]>
Date: Sat, 05 Jun 2021 11:56:25 +0200

Mathieu Othacehe schreef op vr 04-06-2021 om 14:50 [+0200]:
> Hello Maxime,
> 
> > +                          ;; TRANSLATORS: #:tests? and #t are Scheme constants
> > +                          ;; and must not be translated.
> > +                          (G_ "#:tests? does not need to be explicitly set to #t")
> > +                          #:field 'arguments))
> 
> This patch looks fine, and I remember fixing multiple packages failing
> to cross-compile because #:tests was hard-coded to #t.
> 
> I'm not sure about the warning message though. What about:
> 
> "#:tests? must not be explicitly set to #t"
> 
> as "does not need" implies it could be sometimes correct, whereas it is
> always a mistake.

The new warning message "#:tests? must not be explicitly set to #t"
seems reasonable to me. I'm currently working on other things though
(guix and other things), so don't expect a revised patch soon.

Greetings,
Maxime.